> For the complete documentation index, see [llms.txt](https://docs.solapayments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.solapayments.com/mobile-wallets/google-pay-hosted-checkout/google-pay-control-object.md).

# Google Pay Control Object

#### window\.ckGooglePay object - controls initialization of Google Pay button.

| **Method**      | **Call Required** | **Description**                                                                         |
| --------------- | ----------------- | --------------------------------------------------------------------------------------- |
| enableGooglePay | Yes               | <p>Initializes and enables Google Pay Button.<br>Takes EnableGooglePayParams object</p> |
| updateAmount    | Conditional       | Updates amount on Google Sheet.                                                         |

You can provide either All, One or None of the parameters for enableGooglePay call.

* `amountField` specified - in this case Google Pay total amount will be automatically updated whenever amount has changed
* `amountField` *is not* specified - in this case it’s up to you to provide the correct amount for Google Pay. One of the ways to do it is to call `window.ckGooglePay.updateAmount` manually.
* `iframeField` specified - this value will be used to communicate with Google Pay button.\
  This option is especially helpful for Angular clients using shadow DOM.
* `iframeField` *is not* specified - it’s value will be calculated based on `data-ifields-id` attribute. In this case it must be set to “igp“: `data-ifields-id="igp"`.

#### EnableGooglePayParams Object

| **Name**    | **Type**       | **Required** | **Description**                                                                                                                  |
| ----------- | -------------- | ------------ | -------------------------------------------------------------------------------------------------------------------------------- |
| amountField | String\|Object | No           | <p>Field containing amount.<br>Could be either name of the field (String) or<br>field itself (Object)</p>                        |
| iframeField | String\|Object | No           | <p>Field containing iframe with Google Pay button.<br>Could be either name of the field (String) or<br>field itself (Object)</p> |

**Enable Google Pay example**

```
ckGooglePay.enableGooglePay({amountField: 'amount'});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.solapayments.com/mobile-wallets/google-pay-hosted-checkout/google-pay-control-object.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
